Skip to main content
POST
curl

Path Parameters

candidate
integer
required

Numeric ID of the candidate Instance.

Required range: x >= 1

Body

application/json
node_id
integer
required
Required range: x >= 1
name
string
required

Target production Instance name

Maximum string length: 63
Pattern: ^[a-z0-9](?:[a-z0-9-]*[a-z0-9])?$(?![\s\S])
preview_name
string
required

Required preview name to combine with the production Node TLD

Maximum string length: 253
branch
string

Optional target branch; omission inherits the candidate branch

Maximum string length: 255
sqlite_source_path
string

Optional SQLite database path on the candidate

Maximum string length: 4096
Pattern: ^\/[^\x00-\x1F\x7F]*$(?![\s\S])

Response

The request succeeded; an exact retry returned the existing record.

data
object
required
meta
object
required